const bleno = require('bleno')

const TimeCharacteristic = require('./time-characteristic')
const GdataCharacteristic = require('./gdata-characteristic')

class MainService extends bleno.PrimaryService {
  constructor(){
    super({
      uuid:'ff87',
      characteristics: [
        new TimeCharacteristic(),
        new GdataCharacteristic()
      ]
    })
  }
}

module.exports = MainService